@import 'mixins';

// Layout & scaffolding
html {
    box-sizing: border-box;
}

*,
*::after,
*::before {
    box-sizing: inherit;
}

body {
    position: relative;
    margin: 0;
    padding: 0;
}

#root {
    position: relative;
}

// Default styles
iframe {
    max-width: 100%;
}

p {
    > img {
        max-width: 100%;
        height: auto;
    }
}

img.Image {
    transition: opacity 350ms;

    &.isLoading {
        opacity: 0;
    }

    &:not(.isLoading) {
        opacity: 1;
    }
}

// Visibility classes
.hide {
    display: none !important;
}

.hide-for-mobile {
    @media #{$mobile-only} {
        display: none !important;
    }
}

.show-for-mobile {
    display: none;

    @media #{$mobile-only} {
        display: block !important;
    }
}

.video-embed {
    @include ratio-16-9;
    position: relative;

    iframe {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
    }
}

// Content container
.container {
    @include container;
}

// Color themes
body.theme-black-blue {
    @include color-theme($black, $black, $blue, $blue);
}

body.theme-white-white {
    @include color-theme($white, $white, $white, $gray-200);
}

body.theme-white-blue {
    @include color-theme($white, $white, $blue, $white);
}


// Show text logo for mobile (except on homepage)
// TODO: remove if not using text logo
body:not(.Home--active) {
    @media #{$mobile-only} {
        // @include show-text-logo-only;
    }
}


// Hide homepage splash content while animating
body.Home--active:not(.LogoAnimation--animation-complete) {
    .MainNav__button {
        display: none;
    }

    .Home__scroll-nav {
        display: none;
    }

    .HomeSplash__content {
        opacity: 0;
    }
}

// Homepage splash animation
body.Home--active.LogoAnimation--animation-complete {
    .HomeSplash__content {
        transition: opacity 0.5s;
    }
}
